# retry.addmetadata

Adds HTTP response metadata to `$!omhttp!response` for messages handled by the retry logic.

This parameter applies to omhttp: HTTP Output Module.

Name:

  retry.addmetadata

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  Not specified

## Description

When this option is enabled, omhttp will add the response metadata to `$!omhttp!response`. There are three response metadata fields added: `code`, `body`, `batch_index`.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        retry="on"
        retryRuleSet="rs_omhttp_retry"
        retryAddMetadata="on"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.